Bug 190988 - Proftpd-mysql package
Proftpd-mysql package
Product: Fedora
Classification: Fedora
Component: proftpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-07 17:29 EDT by Charles VINCHON
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 06:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles VINCHON 2006-05-07 17:29:54 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install proftpd
2.install proftp-mysql
3.modify proftpd.conf and use a "SQLxxx" directive
Actual results:
proftpd don't start with SQL directives used
proftfpd -l don't list mod_auth_SQL.c
Expected results:
proftpd should start with SQL support

Additional info:
I have the following error: "-Fatal : inknown configuration directive
'SQLAuthTypes' on line 47 of '/etc/proftpd.conf'"
Comment 1 Charles VINCHON 2006-05-07 17:54:27 EDT
it seems that ldap, and postgresql packages have the same procblem ,
mod_auth_ldap.c and the other file aren't find with "proftpd -l". Do we have to
use a special directive in proftpd.conf to use the SQL and ldap packages?
Comment 2 Matthias Saou 2006-05-10 07:06:29 EDT
$ rpm -qd proftpd | grep DSO

From the README.DSO :

Once you have configured and installed your DSO modules, you need to add
the proper directives to your proftpd.conf, so that proftpd loads those
DSO modules when it starts up.  This is done using the LoadModule
configuration directive, provided by the mod_dso module:

  <IfModule mod_dso.c>
    LoadModule mod_sql.c
    LoadModule mod_sql_mysql.c

I've tried the above with "proftpd-mysql" installed, and it works.
Comment 3 Matthias Saou 2006-05-23 06:40:16 EDT
I've added this example section to the default proftpd.conf :

# SQL authentication Dynamic Shared Object (DSO) loading
# See README.DSO and howto/DSO.html for more details.
#<IfModule mod_dso.c>
#   LoadModule mod_sql.c
#   LoadModule mod_sql_mysql.c
#   LoadModule mod_sql_postgres.c

Closing as WORKSFORME :-)

Note You need to log in before you can comment on or make changes to this bug.